Disable Search Provider Top Suggestion feature
for milestone  we are going to disable the feature.

should be enough to set browser.urlbar.autoFill.searchEngines to false, but worth verifying tests are still passing on Try.
